Bug 758964 - Canon CanoScan LiDE 100 does not seem to work with EHCI
Summary: Canon CanoScan LiDE 100 does not seem to work with EHCI
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-01 04:40 UTC by W. Michael Petullo
Modified: 2013-10-15 23:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-14 20:28:42 UTC
Type: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2011-12-01 04:40:17 UTC
Description of problem:
The sane project claims that the Canon CanoScan LiDE 100 is fully supported. However, I am having trouble using the scanner with Fedora 16 on a MacBook 5,1.

Version-Release number of selected component (if applicable):
sane-backends-1.0.22-5.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Attach Canon CanoScan LiDE 100 to MacBook 5,1
2. Run "scanimage -L" and note system recognizes scanner
3. Attempt to scan
  
Actual results:
Scanner makes noise as if it is going to scan, then stops. scanimage prints "Error during device I/O".

Expected results:
Scanner should work.

Additional info:
After searching the Internet, I found other users who had trouble with similar scanners. They claimed disabling EHCI fixed the problem. So I took the following steps:

# lspci | grep -i ehci
00:04.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1)
00:06.1 USB Controller: nVidia Corporation MCP79 EHCI USB 2.0 Controller (rev b1)
# echo -n "0000:00:04.1" > /sys/bus/pci/drivers/ehci_hcd/unbind
# echo -n "0000:00:06.1" > /sys/bus/pci/drivers/ehci_hcd/unbind

I then confirmed with "dmesg" that the scanner was being recognized by the OHCI subsystem (not EHCI). After this case the scanner worked fine. Then I disconnected it and reconnected it again. Running scanimage caused "Error during device I/O" this time following some clicking noises. I repeated scanimage and on the third attempt, it performed a scan.

Comment 1 Nils Philippsen 2011-12-07 16:03:52 UTC
Sounds like a USB driver problem to me, changing component to kernel.

Comment 2 Josh Boyer 2012-03-01 15:49:59 UTC
What kernel are you seeing this with?  Does it still happen with 3.2.7 or newer?

If so, can you attach dmesg and the output of lsusb -vv both before and after you unbind the device from ehci?

Comment 3 Anil Seth 2012-04-13 08:41:37 UTC
I have a problem with Canon LIDE 110 on an AMD desktop and Lenovo S10-3 netbook. 
The scanner works without any issues on Ubuntu and ArchLinux on the same hardware.

Simple Scan and "scanimage -L" do not find any scanners.

Log file shows the scanner being correctly detected.

Apr 13 13:58:48 netbook kernel: [ 1119.980282] usb 1-2: USB disconnect, device number 2
Apr 13 13:58:57 netbook kernel: [ 1128.523253] usb 1-3: new high-speed USB device number 6 using ehci_hcd
Apr 13 13:58:57 netbook kernel: [ 1128.639586] usb 1-3: New USB device found, idVendor=04a9, idProduct=1909
Apr 13 13:58:57 netbook kernel: [ 1128.639601] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Apr 13 13:58:57 netbook kernel: [ 1128.639612] usb 1-3: Product: CanoScan
Apr 13 13:58:57 netbook kernel: [ 1128.639620] usb 1-3: Manufacturer: Canon
 

There is no difference that I can see in sane backends between Fedora and other distributions.

Any suggestions?

Thanks

Comment 4 Michael Monreal 2012-05-11 10:28:14 UTC
The LiDe 110 works fine for me on Fedora 17, kernel 3.3.4:

$ scanimage -L
device `genesys:libusb:002:006' is a Canon LiDE 110 flatbed scanner

However, it does not show up in the color management settings in GNOME (see bug 804305). Maybe other owners of the 110 could test this too and report there?

Comment 5 Nils Philippsen 2012-05-15 08:25:07 UTC
*** Bug 821462 has been marked as a duplicate of this bug. ***

Comment 6 Dave Jones 2012-10-23 15:41:22 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 7 Justin M. Forbes 2012-11-14 20:28:42 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.


Note You need to log in before you can comment on or make changes to this bug.